Loading...
Searching...
No Matches
Opm::EQUIL::Miscibility::NoMixing< Scalar > Class Template Reference

Type that implements "no phase mixing" policy. More...

`#include <EquilibrationHelpers.hpp>`

Inheritance diagram for Opm::EQUIL::Miscibility::NoMixing< Scalar >:

## Public Member Functions

Scalar | operator() (const Scalar, const Scalar, const Scalar, const Scalar=0.0) const override
| Function call.

## Detailed Description

template<class Scalar>
class Opm::EQUIL::Miscibility::NoMixing< Scalar >

Type that implements "no phase mixing" policy.

## Member Function Documentation

## operator()()

template<class Scalar>

Scalar Opm::EQUIL::Miscibility::NoMixing< Scalar >::operator() | ( | const Scalar | ,
|  | const Scalar | ,
|  | const Scalar | ,
|  | const Scalar | = 0.0 ) const

inline override virtual

Function call.

Returns
  Dissolved gas-oil ratio (RS) at depth `depth` and pressure `press`. In "no mixing policy", this is identically zero.

Implements Opm::EQUIL::Miscibility::RsFunction< Scalar >.

The documentation for this class was generated from the following file:

- opm/simulators/flow/equil/EquilibrationHelpers.hpp